Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Lifecycle Java API Reference 10g Release 3 (10.1.3) B25779-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.model
Interface AttributeBinding

All Superinterfaces:
  ControlBinding

public interface AttributeBinding
extends ControlBinding

A ControlBinding that binds a single attribute value exposed via a datacontrol to a view component.

Method Summary
`java.util.List` | `getErrors()` Return a list of errors that were raised during setInputValue()
`java.lang.Object` | `getInputValue()` Return the value that should be rendered on a view for the attribute associated with this binding.
`java.lang.String` | `getLabel()` Return the display label or prompt for the attribute represented by this binding.
`boolean` | `isUpdateable()`
`boolean` | `processNewInputValue(java.lang.Object value)` Prepare the binding for being able to accept a new value
`void` | `setInputValue(java.lang.Object inputVal)` Update the attribute value associated with this binding.
`java.lang.Object` | `validateInputValue(java.lang.Object inputVal)` validate the given value with validations applied at the binding level (if any.) Return value of null means the validation succeeded.

Methods inherited from interface oracle.adf.model.ControlBinding
`release, setListener`

Method Detail

### getInputValue

    public java.lang.Object getInputValue()

  Return the value that should be rendered on a view for the attribute associated with this binding.

### setInputValue

    public void setInputValue(java.lang.Object inputVal)

  Update the attribute value associated with this binding. If there are exceptions while updating this attribute, these exceptions should be accessible via getErrors()

### validateInputValue

    public java.lang.Object validateInputValue(java.lang.Object inputVal)

  validate the given value with validations applied at the binding level (if any.) Return value of null means the validation succeeded. In case of failed validation, the return value should be an Exception object. Some attribute bindings may want to generate 'warning' type messages from this method. To account for those, the return type is not an Exception object itself.

### getLabel

    public java.lang.String getLabel()

  Return the display label or prompt for the attribute represented by this binding.

### isUpdateable

    public boolean isUpdateable()

### getErrors

    public java.util.List getErrors()

  Return a list of errors that were raised during setInputValue()

### processNewInputValue

    public boolean processNewInputValue(java.lang.Object value)

  Prepare the binding for being able to accept a new value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Lifecycle Java API Reference 10g Release 3 (10.1.3) B25779-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.